View Issue Details

IDProjectCategoryView StatusLast Update
0002941PartDesignFeaturepublic2017-03-20 09:44
ReporterabdullahAssigned ToDeepSOIC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002941: Part Design NEXT Polar array does not allow to select a datum line as reference
DescriptionThe datum line is just not selectable. Assigning it from Python, as in:

App.activeDocument().PolarPattern.Axis = App.ActiveDocument.DatumLine

does not work either.
Steps To ReproduceJust make any feature, like a pocket feature and try to do a polar around a datum line.
TagsPart Design NEXT

Relationships

related to 0002859 closedDeepSOIC unable to use datum plane as external reference 
related to 0002501 closedickby Mirror feature don't accept datum plane 

Activities

2017-03-05 14:06abdullahNew Issue
2017-03-05 14:06abdullahTag Attached: Part Design NEXT

poserge

2017-03-09 03:56

reporter   ~0008584

I remember I've fixed this bug - https://forum.freecadweb.org/viewtopic.php?f=17&t=17555#p138443

Interesting, something happened to Datum-s again... I'll check.

poserge

2017-03-09 05:37

reporter   ~0008585

Last edited: 2017-03-17 11:46

View 2 revisions

I think this is related - 0002859

2017-03-17 11:46Kunda1Note Edited: 0008585View Revisions
2017-03-17 18:45Kunda1Relationship addedrelated to 0002859
2017-03-17 18:47Kunda1Relationship addedrelated to 0002501
2017-03-20 09:43wmayerChangeset attached => FreeCAD master 0d81472f
2017-03-20 09:44wmayerAssigned To => DeepSOIC
2017-03-20 09:44wmayerStatusnew => closed
2017-03-20 09:44wmayerResolutionopen => fixed
2017-03-20 09:44wmayerFixed in Version => 0.17

Related Changesets

FreeCAD: master 0d81472f

2017-03-12 20:01:20

DeepSOIC


Committer: yorik Details Diff
PartDesign: fix non-selectable datum features
mod - src/Mod/PartDesign/Gui/TaskDatumParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2017-03-05 14:06 abdullah New Issue
2017-03-05 14:06 abdullah Tag Attached: Part Design NEXT
2017-03-09 03:56 poserge Note Added: 0008584
2017-03-09 05:37 poserge Note Added: 0008585
2017-03-17 11:46 Kunda1 Note Edited: 0008585 View Revisions
2017-03-17 18:45 Kunda1 Relationship added related to 0002859
2017-03-17 18:47 Kunda1 Relationship added related to 0002501
2017-03-20 09:43 wmayer Changeset attached => FreeCAD master 0d81472f
2017-03-20 09:44 wmayer Assigned To => DeepSOIC
2017-03-20 09:44 wmayer Status new => closed
2017-03-20 09:44 wmayer Resolution open => fixed
2017-03-20 09:44 wmayer Fixed in Version => 0.17